/*global define*/
define('de_epages/externalcontent/gadgetdialog/translation-view', [
    'ep',
    './config-view',
    '$tmpl!./translation-view',
    '$dict!../dictionary',

    '../ui/translation' // The gadget to configure.
], function (ep, ConfigView, template, dict) {
    'use strict';

    /*
     * @dictionary       de_epages.externalcontent.dictionary
     *
     * @translation      {translation}
     */

    return ConfigView.extend({

        alias: 'translation',

        dict: dict,

        template: template,

        events: ConfigView.events,

        renderPreview: function () {

            var self = this,
                preview = self.elements.preview;

            preview.children().remove();
            preview.append('<img src="' + ep.config.storeRoot + '/BO/icons/gadget_translation_' + self.gOptions.service + '.png" />');

        }

    });

});